
CoCoA-5 - Bug #52

GUI: problem with "--" comment

01 Dec 2011 18:37 - Anna Maria Bigatti

Status: Closed Start date: 01 Dec 2011

Priority: High Due date:  

Assignee: John Abbott % Done: 100%

Category: GUI Estimated time: 5.00 hours

Target version: CoCoA-5.0.3 Spent time: 5.00 hours

Description

When copying and pasting into the interactive windows sometimes all newlines after a "--" comment are ignored.  Two examples:

2+2; -- gsdadfg

1-1;

only 2+2 is executed, but with

2+2;

-- gsdadfg

1-1;

both commands are executed

History

#1 - 15 Apr 2012 21:31 - John Abbott

- Status changed from New to Closed

- Assignee set to John Abbott

Fixed.

BUT there remains a more subtle problem: the way the GUI determines the state of the parser appears to be "guesswork".  If the user types just a line

containing an end-of-line comment, then the GUI says the parser is busy parsing a command when really it should be "idle".

#2 - 08 Jun 2012 17:28 - Anna Maria Bigatti

- % Done changed from 0 to 100

- Estimated time set to 5.00 h

#3 - 04 Jul 2012 10:01 - Anna Maria Bigatti

- Target version set to CoCoA-5.0.3

Powered by TCPDF (www.tcpdf.org)

23 Apr 2024 1/1

http://www.tcpdf.org

